import { UmbEntityCollectionItemElementBase } from '../umb-entity-collection-item-element-base.element.js';
export declare class UmbEntityCollectionItemRefElement extends UmbEntityCollectionItemElementBase {
    protected getExtensionType(): string;
    protected createFallbackElement(): HTMLElement;
    protected getPathAddendum(entityType: string, unique: string): string;
    protected getMarkAttributeName(): string;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-entity-collection-item-ref': UmbEntityCollectionItemRefElement;
    }
}
